Elmatajer · API docs
Shipping

Get shipping zones

The store's delivery zones and their prices.

GEThttps://elmatajer.com/api/v1/vendor/shipping
Permission: shipping.read

Request

curl "https://elmatajer.com/api/v1/vendor/shipping" \
  -H "Api-Key: YOUR_API_KEY" \
  -H "Accept: application/json"

Response 200

{
    "status": "ok",
    "data": {
        "zones": [
            {
                "id": 20,
                "name": "Cairo",
                "charge": 35,
                "is_active": true
            },
            {
                "id": 21,
                "name": "Giza",
                "charge": 40,
                "is_active": true
            }
        ],
        "free_shipping_amount": 1000,
        "currency_code": "EGP"
    }
}